<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title>Vordefinierte Variablen</title>
<link rel="stylesheet" type="text/css" href="../../src/self.css">
<meta name="description"    content="Vordefinierte Variablen">
<meta name="keywords"       content="SELFPHP, PHP, Kontroll-Mechanismen, Vordefinierte Variablen">
<meta name="author"         content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Contributer" content="Matthias Hupp, m.hupp@selfphp3.de">
<meta name="DC.Publisher"   content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Date"        content="2001-08-02T13:19+01:00">
<meta name="DC.Identifier"  content="http://www.selfphp3.de/funktionsreferenz/kontroll_mechanismen/vordefinierte_variablen.html">
<meta name="DC.Language"    content="de">
<meta name="DC.Rights"      content="../../editorial/index.html">
<meta name="SELF.Firstdate" content="2001-08-02T13:19+01:00">
<meta name="SELF.Version"   content="1">
<meta name="SELF.Pagetype"  content="Information">
<meta name="SELF.Path"      content="SELFPHP == ../../index.php // Funktionsreferenz == ../index.php // Kontroll-Mechanismen == index.html">
</head>
<body bgcolor="#FFFFFF" text="#000000" link="#AA5522" vlink="#772200" alink="#000000">

<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
<td bgcolor="#FFEEDD" class="nav"><a class="an" name="top"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="index.html"><b>Kontroll-Mechanismen</b></a></td>
</tr>
</table>
<table cellpadding="4" cellspacing="0" border="0" width="100%">
  <tr> 
    <td bgcolor="#EEEEEE" class="doc" width="110"><img src="../../src/logo.gif" width="106" height="109" border="0" alt="SEL.html"></td>
    <td bgcolor="#EEEEEE" class="doc" valign="bottom" width="100%">
      <h2>Vordefinierte Variablen</h2></td>
</tr>
  <tr> 
    <td bgcolor="#EEEEEE" class="doc" valign="top" align="center"> <img src="../../src/dokx.gif" width="30" height="20" vspace="6" border="0" alt="Informationsseite"> 
    </td>
    <td bgcolor="#FFFFFF" valign="top" nowrap colspan="2"> 
      <p> <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#befehl"><b>Befehl</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#version"><b>Version</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beschreibung"><b>Beschreibung</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beispiel"><b>Beispiel</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#ausgabe"><b>Ausgabe</b></a><br>
      </p>
    </td>
  </tr>
  <tr>
    <td colspan=3 bgcolor="#EEEEEE" class="doc"><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;</td>
  </tr>
</table>



<h2 class="Sh2"><a class="an" name="befehl">Befehl</a></h2>



<table width="100%" cellpadding=10><tr>
    <td class="xmpcode" bgcolor="#E4EEFF"><b>Vordefinierte Variablen</b></td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="version">Version</a></h2>

<table width="100%" cellpadding=10 height="32">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="20">
      <p>&nbsp;</p>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beschreibung">Beschreibung</a></h2>

<table width="100%" cellpadding=10 height="101">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="57"> 
      <p>Sie haben mit den unten stehenden Servervariablen die M&ouml;glichkeit, 
        viele<br>
        Informationen &uuml;ber das Serversystem oder den Besucher ihrer Website 
        zu<br>
        bekommen. Alle Variablen hier ausf&uuml;hrlich zu erkl&auml;ren, w&uuml;rde 
        den Rahmen des<br>
        Buches sprengen.<br>
        Sie haben aber die M&ouml;glichkeit, die einzelnen Variablen in ihren 
        Skripts<br>
        auszuprobieren. </p>
      </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beispiel">Beispiel</a></h2>

<table width="100%" cellpadding=10 height="443">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF"> 
      <pre>&lt;?PHP<br>echo &quot;<br>  GATEWAY_INTERFACE: $GATEWAY_INTERFACE &lt;br&gt;<br>  SERVER_NAME: $SERVER_NAME &lt;br&gt;<br>  SERVER_SOFTWARE: $SERVER_SOFTWARE &lt;br&gt;<br>  SERVER_PROTOCOL: $SERVER_PROTOCOL &lt;br&gt;<br>  REQUEST_METHOD: $REQUEST_METHOD &lt;br&gt;<br>  QUERY_STRING: $QUERY_STRING &lt;br&gt;<br>  DOCUMENT_ROOT: $DOCUMENT_ROOT &lt;br&gt;<br>  HTTP_ACCEPT: $HTTP_ACCEPT &lt;br&gt;<br>  HTTP_ACCEPT_CHARSET: $HTTP_ACCEPT_CHARSET &lt;br&gt;<br>  HTTP_ENCODING: $HTTP_ENCODING &lt;br&gt;<br>  HTTP_ACCEPT_LANGUAGE: $HTTP_ACCEPT_LANGUAGE&lt;br&gt;<br>  HTTP_CONNECTION: $HTTP_CONNECTION &lt;br&gt;<br>  HTTP_HOST: $HTTP_HOST &lt;br&gt;<br>  HTTP_REFERER: $HTTP_REFERER &lt;br&gt;<br>  HTTP_USER_AGENT: $HTTP_USER_AGENT &lt;br&gt;	<br>  REMOTE_ADDR: $REMOTE_ADDR &lt;br&gt;<br>  REMOTE_PORT: $REMOTE_PORT &lt;br&gt;<br>  SCRIPT_FILENAME: $SCRIPT_FILENAME &lt;br&gt;<br>  SERVER_ADMIN: $SERVER_ADMIN &lt;br&gt;<br>  SERVER_PORT: $SERVER_PORT &lt;br&gt;<br>  SERVER_SIGNATURE: $SERVER_SIGNATURE &lt;br&gt;<br>  PATH_TRANSLATED: $PATH_TRANSLATED &lt;br&gt;<br>  SCRIPT_NAME: $SCRIPT_NAME &lt;br&gt;<br>  REQUEST_URI: $REQUEST_URI &lt;br&gt;<br>&quot;;<br>?&gt;</pre>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>


<h2 class="Sh2"><a class="an" name="ausgabe">Ausgabe</a></h2>

<table width="100%" cellpadding=10 height="394">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="57"> 
      <p>GATEWAY_INTERFACE: CGI/1.1 <br>
        SERVER_NAME: linux.im-online.de <br>
        SERVER_SOFTWARE: Apache/1.3.12 (Unix) PHP/4.0.0 <br>
        SERVER_PROTOCOL: HTTP/1.1 <br>
        REQUEST_METHOD: GET <br>
        QUERY_STRING: <br>
        DOCUMENT_ROOT: /www/htdocs <br>
        HTTP_ACCEPT: / <br>
        HTTP_ACCEPT_CHARSET: <br>
        HTTP_ENCODING: <br>
        HTTP_ACCEPT_LANGUAGE: de <br>
        HTTP_CONNECTION: Keep-Alive <br>
        HTTP_HOST: 192.168.19.222 <br>
        HTTP_REFERER: <br>
        HTTP_USER_AGENT: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; QXW0334s) 
        <br>
        REMOTE_ADDR: 192.168.19.103 <br>
        REMOTE_PORT: 3573 <br>
        SCRIPT_FILENAME: /www/users//test/index.php <br>
        SERVER_ADMIN: root@linux.im-online.de <br>
        SERVER_PORT: 80 <br>
        SERVER_SIGNATURE: <br>
        Apache/1.3.12 Server at linux.im-online.de Port 80<br>
        PATH_TRANSLATED: /www/users//test/index.php <br>
        SCRIPT_NAME: /~test/index.php <br>
        REQUEST_URI: /~test/ </p>
      </td>
  </tr></table>


<p>&nbsp;</p>

<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a>
</td></tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">weiter:<a href="while.html"><img src="../../src/next.gif" width="10" height="10" border="0" hspace="10" alt="weiter"></a></td>
    <td bgcolor="#FFFFFF"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="while.html"><b>while</b></a> </td>
  </tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">zur&uuml;ck:<a href="switch.html"><img src="../../src/prev.gif" width="10" height="10" border="0" hspace="10" alt="zur&uuml;ck"></a></td>
    <td bgcolor="#FFFFFF" width="100%"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="switch.html"><b>switch</b></a> </td>
</tr>
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">&#160;</td></tr>
</table><table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
    <td bgcolor="#FFEEDD" class="nav"><a class="an" name="bottom"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> 
      <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="index.html"><b>Kontroll-Mechanismen</b></a></td>
</tr>
</table>

<p><a class="an" name="bottom">&copy; 2001, 2002, 2003</A> <img src="../../src/mail.gif" width="15" height="10" border="0" alt="E-Mail">&nbsp;<a href="mailto:mail@selfphp.info">Damir Enseleit, mail@selfphp.info</a></p>



</body>
</html>